Subject: bug#18650: closed (Re: bug#18650: 25.0.50; Error message 'zlib library not found')

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 Oct 2014 19:57:02 +0000

Your bug report

#18650: 25.0.50; Error message 'zlib library not found'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18650: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18650
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18650: 25.0.50; Error message 'zlib library not found'
From: Eli Zaretskii <[email-masked]>
To: Dani Moncayo <[email-masked]>
Cc: [email-masked]
Date: Tue, 07 Oct 2014 22:56:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 7 Oct 2014 21:42:39 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> > I think I fixed this in trunk revision 118070.
> 
> Seems fixed, indeed.  Thank you.

Thanks for testing, closing.

Subject: 25.0.50; Error message 'zlib library not found'
From: Dani Moncayo <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Tue, 7 Oct 2014 09:17:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Recipe:
* If you have 'zlib1.dll' on path, rename it temporarily to something
  else.
* emacs -Q
* C-x C-f M-n

I see an annoying error message in the echo area: 'zlib library not
found'.

IIUC, Emacs should not show such message.  Instead, if it doesn't find
an optional library at runtime, it should just proceed without using the
feature(s) provided by the library.

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-10-06 on LEG570
Repository revision: 118063
[email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking=yes,glyphs 'CFLAGS=-O0 -g3'
 CPPFLAGS=-DGLYPH_DEBUG=1'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB

Important settings:
  value of $LANG: ESN
  locale-coding-system: cp1252

-- 
Dani Moncayo